I1MERG(3)

SYNOPSIS
SUBROUTINE I1MERG (ICOS, I1, M1, I2, M2, I3)

NAME
i1merg - Merge two strings of ascending integers.

LIBRARY
SLATEC

TYPE
INTEGER (S1MERG-S, D1MERG-D, C1MERG-C, I1MERG-I)

AUTHOR
Boland, W. Robert, (LANL) Clemens, Reginald, (PLK)

DESCRIPTION
This subroutine merges two ascending strings of integers in the array ICOS. The first string is of length M1 and starts at ICOS(I1+1). The second string is of length M2 and starts at ICOS(I2+1). The merged string goes into ICOS(I3+1).

ROUTINES CALLED
ICOPY

REVISION HISTORY (YYMMDD)
920202 DATE WRITTEN